Uptimeify Docs
Website configuration

Delete Maintenance Window

Deletes a maintenance window.

DELETE /api/maintenance-windows/:id

Authentication

Requires a valid session.

  • Header: Authorization: Bearer <token>

Note: Global supporter users are not allowed to delete maintenance windows (403). Read-only users are allowed.

Parameters

  • id (Path, required): Maintenance window ID.

Example (cURL)

BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"

curl -X DELETE \
  "$BASE_URL/api/maintenance-windows/5" \
  -H "Authorization: Bearer $TOKEN"

Example Response

{ "success": true }

Common Errors

  • 400 Invalid maintenance window ID if :id is invalid
  • 401 Unauthorized if you are not authenticated
  • 403 Forbidden if you do not have access
  • 404 Maintenance window not found if the maintenance window does not exist

On this page